#include <bits/stdc++.h>
using namespace std;
float a(float n)
{
    if(n==1) return 1;
    else return (1.0/n+a(n-1));
}
float c(float n)
{
    if(n==0) return 1;
    else return n*(n-1);
}
float b(float n)
{
    if(n==0) return 1;
    else return (1.0/c(n)+b(n-2));
}
int main()
{
    ifstream f1("DQAB.inp");
    ofstream f2("DQAB.out");
    float n;
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(3);
    f1>>n;
    f2<<a(n)<<endl<<b(2*n);
}
